## ccache 3.0.1

=== debian/changelog ===
ccache (3.0.1-1) unstable; urgency=low

  [ Francois Marier ]
  * Remove myself from uploaders

  [ Y Giridhar Appaji Nag ]
  * Support gcc-4.4 - create links in /usr/lib/ccache.  Thanks Andreas Metzler
    <ametzler@downhill.at.eu.org> for the bug report (Closes: #532169)
  * Fix lintian W:debhelper-but-no-misc-depends, add ${misc:Depends} to ccache
    Depends:
  * Please welcome Joel Rosdahl <joel@debian.org>, the upstream maintainer of
    ccache as a co-maintainer.

  [ Joel Rosdahl ]
  * ccache now correctly falls back to the real compiler when -save-temps
    is used. Closes: #498005.
  * The package no longer patches generated files. Closes: #508054.
  * ccache now has support for rewriting absolute paths (see the
    CCACHE_BASEDIR variable). Closes: #523480.
  * The ccache manual has fixed the wording of MD4 being a strong
    cryptographic hash. Closes: #538821.
  * A new upstream release has been packaged. Closes: #580944.
  * Update copyright information in DEP-5 format.
  * Remove obsolete patches.
  * Don't mention the CCACHE_UNIFY option in README.Debian as it's more or
    less obsolete.
  * Add note in README.Debian that the "NFS Issues" only are relevant when
    using CCACHE_HARDLINK.
  * Remove obsolete update-ccache and reference to manage-cache.sh.
  * Update package description.
  * Include upstream NEWS.txt (as upstream changelog.gz), NEWS.html (as
    changelog.html.gz) and manual.html.
  * Add doc-base entry for the ccache manual.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update Standards-Version to 3.9.1 (no changes required).
  * Change watch file to check for the .bz2 version of the archive.

 -- Joel Rosdahl <joel@debian.org>  Wed, 04 Aug 2010 22:41:42 +0200

ccache (2.4-17) unstable; urgency=low

  [ Y Giridhar Appaji Nag ]
  * New patch 15_gcc4.3_warnings to fix gcc 4.3 warnings.  Thanks
    William S Fulton <wsf@fultondesigns.co.uk> for the bug report and
    the patch (Closes: #508046)
  * Refresh all patches to be "git diff" based and to apply cleanly.
  * Update Standards-Version to 3.8.1 (no changes required)

  [ Francois Marier ]
  * Make Y Giridhar Appaji Nag <appaji@debian.org> the maintainer and
    add myself as uploader

 -- Y Giridhar Appaji Nag <appaji@debian.org>  Sun, 22 Mar 2009 22:08:01 +0530

ccache (2.4-16) unstable; urgency=low

  * Fix the documentation references to CCACHE_HARDLINK (patch from Fedora)
  * Add a patch for the HTML docs in the source (from Fedora)
  * Remove reference to compilercache in the description (closes: #498006)
  * Bump Standards-Version to 3.8.0 (no changes)
  * Move packaging to git and update VCS fields

 -- Francois Marier <francois@debian.org>  Sat, 29 Nov 2008 23:53:39 +1300

ccache (2.4-15) unstable; urgency=low

  * Add a new patch which improve the consistency of timestamps on cached
    objects to make sure clean-up is based on least recently used objects.
  * Patch the set_limit call so that non-writable cache directories return
    an error when attempting to size the max(files|size) (closes: #332527)

 -- Francois Marier <francois@debian.org>  Sun, 13 Apr 2008 15:07:05 +1200

ccache (2.4-14) unstable; urgency=low

  * Mention the long options everywhere in the manpage
  * Merge Gentoo patches:
    - respect user's LDFLAGS
    - use utimes() for timestamp if possible

 -- Francois Marier <francois@debian.org>  Sun, 23 Mar 2008 16:30:11 +1300

ccache (2.4-13) unstable; urgency=low

  * Update CACHEDIR.TAG patch to avoid creating the tag file when the
    CCACHE_READONLY environment variable is set. (closes: #464356)
  * Mention the GNU-style long options in the manpage

 -- Francois Marier <francois@debian.org>  Thu, 07 Feb 2008 10:50:42 +1300

ccache (2.4-12) unstable; urgency=low

  * Add symlink for gcc 4.3 (closes: #463590)
  * Add support for the CACHEDIR.TAG spec, thanks to Karl Chen.
    (see http://www.brynosaurus.com/cachedir/)
  * Fix hyphens in manpage (lintian notice)
  * Bump Standards-Version up to 3.7.3 (no changes)
  * Bump debhelper compatibility to 6

 -- Francois Marier <francois@debian.org>  Sat, 02 Feb 2008 10:37:22 +1300

ccache (2.4-11) unstable; urgency=low

  * Add the collab-maint repo to debian/control

 -- Francois Marier <francois@debian.org>  Tue, 20 Nov 2007 15:26:37 +1300

ccache (2.4-10) unstable; urgency=low

  * Document where the patches are from in debian/patches/CREDITS
  * debian/rules:
    - Fixed "make distclean" lintian warning
    - Removed commented-out entries
  * Set debhelper compatibility to 5
  * Add homepage field in debian/control
  * Add symlinks for MinGW (closes: #445782)
  * Bump the version to 5 in the debhelper dependency

 -- Francois Marier <francois@debian.org>  Fri, 19 Oct 2007 16:04:37 +1300

ccache (2.4-9) unstable; urgency=low

  * Add a symlink for gcc 4.2 (closes: #431007)
  * Fix dependencies when using -o (closes: #217713)

 -- Francois Marier <francois@debian.org>  Sat, 30 Jun 2007 17:58:44 +1200

ccache (2.4-8) unstable; urgency=low

  * Enable zlib compression of the cache by default (closes: #409848).
    Thanks to Sami Liedes for suggesting this.
  * Disable ccache when profiling (closes: #215849).
    Thanks to Ted Percival for the Patch.
  * Fix NFS renaming issues and add instructions to the README.
    Thanks to John Coiner and instructions.
  * Put all patches in debian/patches and apply them at build time.

 -- Francois Marier <francois@debian.org>  Sun, 20 May 2007 19:42:34 +1200

ccache (2.4-7) unstable; urgency=low

  * Use the real compiler when HOME is not set (closes: #396350)
  * Include user script under doc/examples (closes: #392435)
    Thanks to Behan Webster!
  * Add support for GNU --long options (closes: #297126)

 -- Francois Marier <francois@debian.org>  Sat, 18 Nov 2006 00:50:59 -0500

ccache (2.4-6) unstable; urgency=low

  * Include symlinks for gcc 4.1 (closes: #372838)
  * Update watch file

 -- Francois Marier <francois@debian.org>  Tue, 13 Jun 2006 22:17:37 -0400


