## ccache 3.1.3

=== debian/changelog ===
ccache (3.1.3-1) unstable; urgency=low

  * New upstream version.

 -- Joel Rosdahl <joel@debian.org>  Thu, 02 Dec 2010 21:05:17 +0100

ccache (3.1.2-1) unstable; urgency=low

  * New upstream version.

 -- Joel Rosdahl <joel@debian.org>  Sun, 21 Nov 2010 21:07:27 +0100

ccache (3.1.1-1) unstable; urgency=low

  * New upstream version.

 -- Joel Rosdahl <joel@debian.org>  Sun, 07 Nov 2010 21:16:52 +0100

ccache (3.1-1) experimental; urgency=low

  * New upstream version.
  * It's now possible to set up ccache to hash the output of a custom
    command to identify the compiler. Closes: #506968.

 -- Joel Rosdahl <joel@debian.org>  Sat, 18 Sep 2010 19:19:07 +0200

ccache (3.0.1-2) experimental; urgency=low

  * Use dpkg triggers to automatically update symlinks in /usr/lib/ccache
    when compilers are removed or installed. Closes: #494636.
  * Update man page and manual with Debian-specific usage hints.

 -- Joel Rosdahl <joel@debian.org>  Fri, 10 Sep 2010 19:17:57 +0200
