## ccache 3.1.5

=== debian/changelog ===
ccache (3.1.5-2) unstable; urgency=low

  * Update dpkg triggers and update-ccache-symlinks to find compilers at
    the new GCC library location. Closes: #630352.
  * Use dh_prep instead of deprecated "dh_clean -k".
  * Move patches to debian directory.
  * Drop obsolete dont_distclean_version.c.patch.
  * Add build-arch and build-indep targets as hinted by lintian.

 -- Joel Rosdahl <joel@debian.org>  Sat, 25 Jun 2011 23:17:56 +0200

ccache (3.1.5-1) unstable; urgency=low

  * New upstream version.
  * Update Standards-Version to 3.9.2 (no changes required).

 -- Joel Rosdahl <joel@debian.org>  Sun, 29 May 2011 17:56:48 +0200

ccache (3.1.4-3) unstable; urgency=low

  * Fix errors in update-ccache-symlinks man page. Closes: #616619.

 -- Joel Rosdahl <joel@debian.org>  Sun, 06 Mar 2011 09:14:03 +0100

ccache (3.1.4-2) unstable; urgency=low

  * Create "gcc-X.Y"-style symlinks in /usr/lib/ccache. Closes: #610179.

 -- Joel Rosdahl <joel@debian.org>  Sun, 20 Feb 2011 16:08:06 +0100

ccache (3.1.4-1) unstable; urgency=low

  * New upstream version.

 -- Joel Rosdahl <joel@debian.org>  Wed, 12 Jan 2011 23:45:14 +0100
