## ccache 3.1.6

=== debian/changelog ===
ccache (3.1.6-1) unstable; urgency=low

  * New upstream version.

 -- Joel Rosdahl <joel@debian.org>  Sun, 21 Aug 2011 21:56:05 +0200
