## ccache 3.1.9

=== debian/changelog ===
ccache (3.1.9-1) unstable; urgency=low

  * New upstream release 3.1.9
  * Correct debian/copyright to fix Lintian errors
  * Build with hardening flags

 -- Joel Rosdahl <joel@debian.org>  Sun, 06 Jan 2013 18:19:19 +0100

ccache (3.1.8-1) unstable; urgency=low

  * New upstream release 3.1.8 (closes: #656022, #672570, #688508)
  * Update Standards-Version to 3.9.4 (no changes required)
  * Update debian/copyright to match current reality
  * Update debian/copyright to version 1.0 of the machine-readable format

 -- Joel Rosdahl <joel@debian.org>  Sun, 25 Nov 2012 12:20:16 +0100
