## ccache 3.1.10

=== debian/changelog ===
ccache (3.1.10-1) unstable; urgency=medium

  * Update Vcs-git and Vcs-Browser to use anonscm.debian.org
  * New upstream release 3.1.10
  * Switch to interest-noawait dpkg triggers (closes: #764666)
  * Bump Standards-Version to 3.9.6 (no changes)

 -- Joel Rosdahl <joel@debian.org>  Wed, 22 Oct 2014 21:20:54 +0200
