=== debian/watch ===
version=2
http://samba.org/ftp/ccache/ccache-(.*)\.tar\.bz2
