## ccache 3.2.3

=== debian/changelog ===
ccache (3.2.3-1) unstable; urgency=medium

  * New upstream release 3.2.3
  * Use stand-alone license paragraphs in debian/copyright

 -- Joel Rosdahl <joel@debian.org>  Sun, 16 Aug 2015 15:45:28 +0200

ccache (3.2.2-2) unstable; urgency=medium

  * Correct placement of system configuration file (closes: #785409)

 -- Joel Rosdahl <joel@debian.org>  Fri, 15 May 2015 23:22:28 +0200

ccache (3.2.2-1) unstable; urgency=medium

  * New upstream release 3.2.2 (closes: #248892, #778388)
  * Update debian/copyright to match ccache 3.2.2
  * Create symlinks for clang variants in /usr/lib/ccache (closes: #624589)
  * Switch package maintainer to Joel Rosdahl

 -- Joel Rosdahl <joel@debian.org>  Sun, 10 May 2015 15:00:50 +0200
