=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ccache
 Section: devel
 Priority: optional
-Maintainer: Y Giridhar Appaji Nag <appaji@debian.org>
-Uploaders: Joel Rosdahl <joel@debian.org>
+Maintainer: Joel Rosdahl <joel@debian.org>
 Build-Depends: debhelper (>> 6.0.7~), autotools-dev, zlib1g-dev, dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.9.6
 Homepage: http://ccache.samba.org
