=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Joel Rosdahl <joel@debian.org>
 Build-Depends: debhelper (>= 9), autotools-dev, zlib1g-dev, dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.9.6
-Homepage: http://ccache.samba.org
-Vcs-git: git://anonscm.debian.org/collab-maint/ccache.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ccache.git;a=summary
+Homepage: https://ccache.samba.org
+Vcs-git: https://anonscm.debian.org/git/collab-maint/ccache.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ccache.git;a=summary
 
 Package: ccache
 Architecture: any
