## ccache 3.3.4

=== debian/changelog ===
ccache (3.3.4-1) unstable; urgency=high

  * New upstream release 3.3.4, which contains the following changes:
    * Fixes a serious regression in ccache 3.3 related to potentially bad
      content of dependency files when compiling identical source code but
      with different source paths (closes: #853834).
    * Trivial bug fix: Corrects which statistics counter to update for
      -optf/--options-file failure.
    * Trivial bug fixes: Fixes undefined behavior warnings found by
      -fsanitize=undefined.
    * Documentation update: Adds description of statistics counters to the
      man page.

 -- Joel Rosdahl <joel@debian.org>  Fri, 17 Feb 2017 23:02:40 +0100
