=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Joel Rosdahl <joel@debian.org>
 Build-Depends: debhelper (>= 9), autotools-dev, zlib1g-dev, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://ccache.samba.org
 Vcs-git: https://anonscm.debian.org/git/collab-maint/ccache.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ccache.git;a=summary
