=== debian/watch ===
version=2
https://samba.org/ftp/ccache/ccache-(.*)\.tar\.bz2
