## ccache 3.4.2

=== debian/changelog ===
ccache (3.4.2-1) unstable; urgency=medium

  * New upstream release 3.4.2
  * Compensate for new doc paths in upstream release

 -- Joel Rosdahl <joel@debian.org>  Sun, 25 Mar 2018 22:41:45 +0200
