## ccache 3.5

=== debian/changelog ===
ccache (3.5-1) unstable; urgency=medium

  * New upstream release 3.5
  * Update debian/copyright to match ccache's LICENSE.adoc

 -- Joel Rosdahl <joel@debian.org>  Tue, 16 Oct 2018 21:36:49 +0200

ccache (3.4.3-1) unstable; urgency=medium

  * New upstream release 3.4.3
  * Bump Standards-Version to 4.2.1 with no changes
  * Suggest icecc as an alternative to distcc (closes: #905276)
  * Install symlinks for versioned clang (closes: #867705)
  * Remove obsolete Vcs-* control fields

 -- Joel Rosdahl <joel@debian.org>  Tue, 04 Sep 2018 21:38:26 +0200
